| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Sql
Sql.pgsql_util
Sql.pgsql_util.pgsql_result

# Method Sql.pgsql_util.pgsql_result()->fetch_row()

Method fetch_row

  `array(mixed) fetch_row()`
  `void fetch_row(string|array(string) copydatasend)`

Returns

  One result row at a time.

  When using COPY FROM STDOUT, this method returns one row at a time as a single string containing the entire row.

Parameter `copydatasend`

  When using COPY FROM STDIN, this method accepts a string or an array of strings to be processed by the COPY command; when sending the amount of data sent per call does not have to hit row or column boundaries.

  The COPY FROM STDIN sequence needs to be completed by either explicitly or implicitly destroying the result object, or by passing a zero argument to this method.

See also

  eof()